Update the underlying volume tier
Updates the underlying volume tier, modifying the tier configuration for the associated volume. Use this to adjust the storage performance or cost characteristics based on your requirements.
HTTP method and endpoint
POST /azure/vsa/volumes/{workingEnvironmentId}/{svmName}/{volumeName}/change-tier
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
workingEnvironmentId |
string |
path |
True |
|
svmName |
string |
path |
True |
|
volumeName |
string |
path |
True |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
aggregateName |
string |
True |
Target aggregate name |
evCapacityApprovedToAdd |
False |
||
iops |
integer |
False |
Provisioned IOPS |
minimumCoolingDays |
False |
Cooling Days |
|
newAggregate |
boolean |
True |
Is it a newly created aggregate |
newCapacityTier |
string |
False |
New capacity tier |
newDiskTypeName |
string |
True |
New disk type name |
newTieringPolicy |
string |
False |
New tiering policy |
numOfDisks |
integer |
True |
Number of new disks needed |
throughput |
integer |
False |
Provisioned throughput |
Example request
{
"aggregateName": "string",
"evCapacityApprovedToAdd": {
"addedCapacityToExistingEvDisks": {
"unit": "string"
},
"newRaidForEvInfo": [
{
"diskSize": {
"unit": "string"
},
"numOfDisks": 0
}
],
"totalCapacityToAdd": {
"unit": "string"
}
},
"newAggregate": false,
"newCapacityTier": "string",
"newDiskTypeName": "string",
"newTieringPolicy": "string",
"numOfDisks": 0
}
Error
Status: Default, Default response
Definitions
See Definitions
Capacity
| Name | Type | Required | Description |
|---|---|---|---|
size |
number |
False |
|
unit |
string |
False |
RaidInfoForEvAggregate
| Name | Type | Required | Description |
|---|---|---|---|
diskSize |
True |
||
numOfDisks |
integer |
True |
Number of new disks needed for the RAID group |
ElasticVolumeQuoteInfo
| Name | Type | Required | Description |
|---|---|---|---|
addedCapacityToExistingEvDisks |
False |
||
newRaidForEvInfo |
array[RaidInfoForEvAggregate] |
False |
New RAID information |
totalCapacityToAdd |
False |
||
totalEvDisks |
integer |
False |
minimumCoolingDays
Cooling Days